Subject: Re: bug#66098: Crash in itree.c on macOS with incomplete backtrace

From: Robert Pluim <[email-masked]>
Date: Wed, 20 Sep 2023 10:22:15 +0200

>>>>> On Wed, 20 Sep 2023 01:08:20 -0700, Paul Eggert <[email-masked]> said:

    Paul> On 2023-09-19 03:09, Robert Pluim wrote:
    >> -  for (ptrdiff_t i = 1; i <= nargs; i++)
    >> +  for (ptrdiff_t i = 1; i < nargs; i++)

    Paul> Thanks for reporting that fix. I installed it on Savannah master. I
    Paul> don't know whether this has anything to do with the original
    Paul> bug#66098, though.

I doubt it. I do wonder why asan on macOS found it, but asan on
GNU/Linux didnʼt (I tried with GCC-12)

Robert
--